org.apache.maven.artifact.repository

## Class ArtifactRepositoryPolicy

- java.lang.Object
- - org.apache.maven.artifact.repository.ArtifactRepositoryPolicy

-     public class ArtifactRepositoryPolicy
      extends java.lang.Object

  Describes a set of policies for a repository to use under certain conditions.
  Version:
    $Id: ArtifactRepositoryPolicy.java 640549 2008-03-24 20:05:11Z bentmann $
  Author:
    Brett Porter

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static java.lang.String` | `CHECKSUM_POLICY_FAIL`
    `static java.lang.String` | `CHECKSUM_POLICY_IGNORE`
    `static java.lang.String` | `CHECKSUM_POLICY_WARN`
    `static java.lang.String` | `UPDATE_POLICY_ALWAYS`
    `static java.lang.String` | `UPDATE_POLICY_DAILY`
    `static java.lang.String` | `UPDATE_POLICY_INTERVAL`
    `static java.lang.String` | `UPDATE_POLICY_NEVER`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ArtifactRepositoryPolicy()`
    `ArtifactRepositoryPolicy(boolean enabled, java.lang.String updatePolicy, java.lang.String checksumPolicy)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `checkOutOfDate(java.util.Date lastModified)`
    `java.lang.String` | `getChecksumPolicy()`
    `java.lang.String` | `getUpdatePolicy()`
    `boolean` | `isEnabled()`
    `void` | `setChecksumPolicy(java.lang.String checksumPolicy)`
    `void` | `setEnabled(boolean enabled)`
    `void` | `setUpdatePolicy(java.lang.String updatePolicy)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### UPDATE_POLICY_NEVER

          public static final java.lang.String UPDATE_POLICY_NEVER

      See Also:
        Constant Field Values

    - #### UPDATE_POLICY_ALWAYS

          public static final java.lang.String UPDATE_POLICY_ALWAYS

      See Also:
        Constant Field Values

    - #### UPDATE_POLICY_DAILY

          public static final java.lang.String UPDATE_POLICY_DAILY

      See Also:
        Constant Field Values

    - #### UPDATE_POLICY_INTERVAL

          public static final java.lang.String UPDATE_POLICY_INTERVAL

      See Also:
        Constant Field Values

    - #### CHECKSUM_POLICY_FAIL

          public static final java.lang.String CHECKSUM_POLICY_FAIL

      See Also:
        Constant Field Values

    - #### CHECKSUM_POLICY_WARN

          public static final java.lang.String CHECKSUM_POLICY_WARN

      See Also:
        Constant Field Values

    - #### CHECKSUM_POLICY_IGNORE

          public static final java.lang.String CHECKSUM_POLICY_IGNORE

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### ArtifactRepositoryPolicy

          public ArtifactRepositoryPolicy()

    - #### ArtifactRepositoryPolicy

          public ArtifactRepositoryPolicy(boolean enabled,
                                  java.lang.String updatePolicy,
                                  java.lang.String checksumPolicy)

  - ### Method Detail

    - #### setEnabled

          public void setEnabled(boolean enabled)

    - #### setUpdatePolicy

          public void setUpdatePolicy(java.lang.String updatePolicy)

    - #### setChecksumPolicy

          public void setChecksumPolicy(java.lang.String checksumPolicy)

    - #### isEnabled

          public boolean isEnabled()

    - #### getUpdatePolicy

          public java.lang.String getUpdatePolicy()

    - #### getChecksumPolicy

          public java.lang.String getChecksumPolicy()

    - #### checkOutOfDate

          public boolean checkOutOfDate(java.util.Date lastModified)